Index: code/trunk/src/orxonox/objects/controllers/ArtificialController.cc
===================================================================
--- code/trunk/src/orxonox/objects/controllers/ArtificialController.cc	(revision 3085)
+++ code/trunk/src/orxonox/objects/controllers/ArtificialController.cc	(revision 3086)
@@ -36,4 +36,5 @@
 #include "objects/gametypes/TeamDeathmatch.h"
 #include "objects/controllers/WaypointPatrolController.h"
+#include "objects/worldentities/pawns/TeamBaseMatchBase.h"
 
 namespace orxonox
@@ -203,4 +204,38 @@
         }
 
+        TeamBaseMatchBase* base = 0;
+        base = dynamic_cast<TeamBaseMatchBase*>(entity1);
+        if (base)
+        {
+            switch (base->getState())
+            {
+                case BaseState::controlTeam1:
+                    team1 = 0;
+                    break;
+                case BaseState::controlTeam2:
+                    team1 = 1;
+                    break;
+                case BaseState::uncontrolled:
+                default:
+                    team1 = -1;
+            }
+        }
+        base = dynamic_cast<TeamBaseMatchBase*>(entity2);
+        if (base)
+        {
+            switch (base->getState())
+            {
+                case BaseState::controlTeam1:
+                    team2 = 0;
+                    break;
+                case BaseState::controlTeam2:
+                    team2 = 1;
+                    break;
+                case BaseState::uncontrolled:
+                default:
+                    team2 = -1;
+            }
+        }
+
         return (team1 == team2 && team1 != -1);
     }
Index: code/trunk/src/orxonox/objects/gametypes/TeamBaseMatch.cc
===================================================================
--- code/trunk/src/orxonox/objects/gametypes/TeamBaseMatch.cc	(revision 3085)
+++ code/trunk/src/orxonox/objects/gametypes/TeamBaseMatch.cc	(revision 3086)
@@ -41,5 +41,5 @@
 
         this->scoreTimer_.setTimer(10, true, this, createExecutor(createFunctor(&TeamBaseMatch::winPoints)));
-        this->outputTimer_.setTimer(30, true, this, createExecutor(createFunctor(&TeamBaseMatch::showPoints)));
+        this->outputTimer_.setTimer(10, true, this, createExecutor(createFunctor(&TeamBaseMatch::showPoints)));
 
         this->pointsTeam1_ = 0;
@@ -79,7 +79,7 @@
             std::set<TeamBaseMatchBase*>::const_iterator it = this->bases_.find(base);
             if (it != this->bases_.end())
-                return (!this->pawnsAreInTheSameTeam(victim, base));
-        }
-        return (!this->pawnsAreInTheSameTeam(victim, originator));
+                return (!this->pawnsAreInTheSameTeam(originator, base));
+        }
+        return TeamDeathmatch::allowPawnDamage(victim, originator);
     }
 
@@ -90,5 +90,5 @@
             std::map<PlayerInfo*, int>::const_iterator it1 = this->teamnumbers_.find(pawn1->getPlayer());
             int teamnrbase = -1;
-            int teamnrplayer = getTeam(pawn1->getPlayer());
+            int teamnrplayer = this->getTeam(pawn1->getPlayer());
 
             switch (base->getState())
@@ -106,7 +106,7 @@
 
             if (teamnrbase == teamnrplayer)
-                return false;
-        }
-        return true;
+                return true;
+        }
+        return false;
     }
 
@@ -126,6 +126,6 @@
     {
         COUT(0) << "Points standing:" << std::endl << "Team 1: "<< pointsTeam1_ << std::endl << "Team 2: " << pointsTeam2_ << std::endl;
-        if(pointsTeam1_ >=1700) COUT(0) << "Team 1 is near victory!" << std::endl;
-        if(pointsTeam2_ >=1700) COUT(0) << "Team 2 is near victory!" << std::endl;
+        if(pointsTeam1_ >=1700 && pointsTeam1_ < 2000) COUT(0) << "Team 1 is near victory!" << std::endl;
+        if(pointsTeam2_ >=1700 && pointsTeam2_ < 2000) COUT(0) << "Team 2 is near victory!" << std::endl;
     }
 
@@ -157,7 +157,14 @@
     void TeamBaseMatch::endGame()
     {
-        if(this->pointsTeam1_>=2000 || this->pointsTeam2_ >=2000)
-        {
+        if (this->pointsTeam1_ >= 2000 || this->pointsTeam2_ >= 2000)
+        {
+            if (this->pointsTeam1_ > this->pointsTeam2_)
+                COUT(0) << "Team 1 has won the match" << std::endl;
+            else
+                COUT(0) << "Team 2 has won the match" << std::endl;
+
             this->end();
+            this->scoreTimer_.stopTimer();
+            this->outputTimer_.stopTimer();
         }
     }
Index: code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 3085)
+++ code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 3086)
@@ -147,11 +147,8 @@
     class _OrxonoxExport PawnListener : virtual public OrxonoxClass
     {
-        friend class Pawn;
-
         public:
             PawnListener();
             virtual ~PawnListener() {}
 
-        protected:
             virtual void destroyedPawn(Pawn* pawn) = 0;
     };
Index: code/trunk/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc	(revision 3085)
+++ code/trunk/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc	(revision 3086)
@@ -48,4 +48,6 @@
             gametype->addBase(this);
         }
+
+        this->setRadarObjectShape(RadarViewable::Triangle);
     }
 
@@ -70,5 +72,5 @@
             case BaseState::uncontrolled:
             default:
-                colour = ColourValue(0.5, 0.5, 0.7, 1.0);
+                colour = ColourValue(0.5, 0.5, 0.5, 1.0);
                 break;
         }
@@ -84,4 +86,10 @@
             }
         }
+
+        this->setRadarObjectColour(colour);
+
+        // Call this so bots stop shooting at the base after they converted it
+        for (ObjectList<PawnListener>::iterator it = ObjectList<PawnListener>::begin(); it != ObjectList<PawnListener>::end(); ++it)
+            it->destroyedPawn(this);
     }
 }
